%define upstream_name    JavaScript-Minifier-XS
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    XS based JavaScript minifier
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JavaScript/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::DiagINC) >= 0.2.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl-devel
%description
'JavaScript::Minifier::XS' is a JavaScript "minifier"; its designed to
remove un-necessary whitespace and comments from JavaScript files, which
also *not* breaking the JavaScript.

'JavaScript::Minifier::XS' is similar in function to
'JavaScript::Minifier', but is substantially faster as its written in XS
and not just pure Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.150.0-5.mga10
+ Revision: 2087768
- Rebuild against new perl

* Sun Nov 26 2023 tv <tv> 0.150.0-4.mga10
+ Revision: 2009913
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.150.0-3.mga9
+ Revision: 1862048
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.150.0-2.mga9
+ Revision: 1796637
- Mageia 9 Mass Rebuild

* Thu Oct 28 2021 tv <tv> 0.150.0-1.mga9
+ Revision: 1753108
- update to 0.15

* Mon May 24 2021 umeabot <umeabot> 0.140.0-2.mga9
+ Revision: 1726742
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 0.140.0-1.mga9
+ Revision: 1691352
- update to 0.14

* Sat Jan 02 2021 tv <tv> 0.130.0-1.mga8
+ Revision: 1668195
- update to 0.13

* Tue Dec 29 2020 tv <tv> 0.120.0-1.mga8
+ Revision: 1664671
- update to 0.12

* Wed Jun 17 2020 umeabot <umeabot> 0.110.0-12.mga8
+ Revision: 1594826
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.110.0-11.mga8
+ Revision: 1529598
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.110.0-10.mga8
+ Revision: 1433718
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.110.0-9.mga7
+ Revision: 1293309
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.110.0-8.mga7
+ Revision: 1249503
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.110.0-7.mga7
+ Revision: 1165035
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.110.0-6.mga7
+ Revision: 1148991
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.110.0-5.mga7
+ Revision: 1126695
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-4.mga6
+ Revision: 1028819
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.110.0-3.mga6
+ Revision: 957578
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.110.0-2.mga6
+ Revision: 843125
- Rebuild for perl 5.22

* Sun Jun 21 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 837065
- update to 0.11

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-8.mga5
+ Revision: 742098
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.90.0-7.mga5
+ Revision: 731948
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-6.mga5
+ Revision: 685150
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.90.0-5.mga5
+ Revision: 631338
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-4.mga4
+ Revision: 524407
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.90.0-3.mga4
+ Revision: 430768
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 368826
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.90.0-1.mga3
+ Revision: 335129
- imported package perl-JavaScript-Minifier-XS


* Tue Dec 25 2012 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
